Bug 31347 - openvpn: Insecure HMAC comparison (3.1)
openvpn: Insecure HMAC comparison (3.1)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.0
Other Linux
: P4 normal (vote)
: UCS 3.2
Assigned To: Moritz Muehlenhoff
Janek Walkenhorst
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 13:07 CEST by Moritz Muehlenhoff
Modified: 2013-11-19 06:43 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-05-13 13:07:14 CEST
+++ This bug was initially created as a clone of Bug #31346 +++

+++ This bug was initially created as a clone of Bug #31345 +++

CVE-2013-2061

An information leak in the implementation of HMAC comparisons can allow a
chosen ciphertext attack. This is currently only known to be exploitable with
PolarSSL (which isn't used in UCS) and generally only exploitable with an
attacker being the man-in-the-middle.

More information in the upstream announcement:
https://community.openvpn.net/openvpn/wiki/SecurityAnnouncement-f375aa67cc
Comment 1 Moritz Muehlenhoff univentionstaff 2013-07-26 14:18:37 CEST
Fixed in 3.2 through the import of Debian 6.0.8.

The QA should ideally be made by the same person as for Bug 31956.
Comment 2 Janek Walkenhorst univentionstaff 2013-10-21 11:53:21 CEST
(In reply to Moritz Muehlenhoff from comment #1)
> Fixed in 3.2 through the import of Debian 6.0.8.
Correct.
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:43:07 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".